/*                                                                            *
 *                                                                            *
 *                  Copyright 1987, 1988, 1989 Netwise, Inc.                  *
 *                              All Rights Reserved                           *
 *   This software contains information which is proprietary to and a trade   *
 *   secret of Netwise, Inc. It is not to be used, reproduced, or disclosed   *
 *   except as authorized in your license agreement.                          *
 *                                                                            *
 *                          Restricted Rights Legend                          *
 *   Use, duplication,  or  disclosure  by the  Government  is  subject  to   *
 *   restrictions as set forth in subparagraph (c)(1)(ii) of the Rights  in   *
 *   Technical Data and  Computer Software clause  at 252.227-7013, or  the   *
 *   equivalent Government clause for other agencies.                         *
 *   Contractor: Netwise, Inc., Boulder, CO 80301 USA                         *
 *                                                                            *
 */ 
/*
 * File: link\server\rproc.c
 *
 * This example runs in the following environment:
 *	NetWare RPC 1.0, NetWare 2.1 or higher, DOS 3.3
 *
 *  This file contains the remote procedures for the link example. 
 */ 

#include <stdio.h>
#include "link.h"	/* server header file, created by the RPC compiler */

struct customer *cust_list;

int
add_record(name, addr, phone)
char *name;
char *addr;
char *phone;
{
	struct customer *fp, *bp, *mp;
	static struct customer tmp;

	printf("SERVER: Adding record %s %s %s\n", name, addr, phone);

	bp = (struct customer *)0;
	fp = cust_list;
	while (fp != (struct customer *)0) {
		bp = fp;
		fp = fp->c_next;
	}

	mp = &tmp;

	strcpy(mp->c_name, name);
	strcpy(mp->c_addr, addr);
	strcpy(mp->c_phone, phone);
	mp->c_next = (struct customer *)0;
	mp->c_prev = bp;
	if (bp != (struct customer *)0) {
		bp->c_next = mp;
	} else {
		cust_list = mp;
	}

	return(0);
}
